import request from '@/utils/request'

// 查询虚警抑制模型列表
export function listFalseAlarmRestrainModel(query) {
  return request({
    url: '/manage/falseAlarmRestrainModel/list',
    method: 'get',
    params: query
  })
}

// 查询虚警抑制模型详细
export function getFalseAlarmRestrainModel(id) {
  return request({
    url: '/manage/falseAlarmRestrainModel/' + id,
    method: 'get'
  })
}

// 新增虚警抑制模型
export function addFalseAlarmRestrainModel(data) {
  return request({
    url: '/manage/falseAlarmRestrainModel',
    method: 'post',
    data: data
  })
}

// 修改虚警抑制模型
export function updateFalseAlarmRestrainModel(data) {
  return request({
    url: '/manage/falseAlarmRestrainModel',
    method: 'put',
    data: data
  })
}

// 删除虚警抑制模型
export function delFalseAlarmRestrainModel(id) {
  return request({
    url: '/manage/falseAlarmRestrainModel/' + id,
    method: 'delete'
  })
}
